︠8096f1af-94da-487c-b72f-d8f34486d2bcs︠
def bip_dist(X):
    if X.is_bipartite():
        M = X.distance_matrix()
        L = []; R = []
        n = len(X)
        k = X.vertices()
        for j in range(n):
            if M[1][j] % 2 == 0:
                L.append(k[j])
            else:
                R.append(k[j])
        print L,R
    else:
        print "O grafo não é bipartido!"
︡ae879064-8837-4a73-924c-5f5be3d99862︡{"done":true}︡
︠9f2a645e-7537-4297-ba97-68f6ac276e6es︠
G = Graph({0:[5,6], 1:[4,5], 2:[4,6], 3:[4,5,6]})

bip_dist(G)
print "__________________________"
print ""
B = BipartiteGraph(G)
B.left; B.right
︡996ee3e9-df05-4cbf-954c-0cd182fcd76d︡{"stdout":"[0, 1, 2, 3] [4, 5, 6]\n"}︡{"stdout":"__________________________\n"}︡{"stdout":"\n"}︡{"stdout":"set([0, 1, 2, 3])\nset([4, 5, 6])\n"}︡{"done":true}︡
︠9a43f05a-aab6-4bf8-b093-520d8d1fc242s︠
H = Graph({'A':['F','D'], 'C':['D','B'], 'E':['F', 'B'], 'G':['B','F','D']})

bip_dist(H)
print "__________________________"
print ""
B = BipartiteGraph(H)
B.left; B.right
︡c3865bfd-f1d7-473f-ab10-cf1ef94f8b06︡{"stdout":"['B', 'D', 'F'] ['A', 'C', 'E', 'G']\n"}︡{"stdout":"__________________________\n"}︡{"stdout":"\n"}︡{"stdout":"set(['A', 'C', 'E', 'G'])\nset(['B', 'D', 'F'])\n"}︡{"done":true}︡
︠122c050a-54ed-49d2-9273-109f15b4a867s︠
V = ['A', 'B', 'C', 'D', 'E', 'F', 'G']
E = [['A', 'E'],['A', 'F'],['B', 'C'], ['B', 'D'],['B','E'],['B','G'],['C','F'],['C','G'],['D','G'],['F','G']]
P = Graph([V,E],format='vertices_and_edges')

bip_dist(P)
print "__________________________"
print ""
B = BipartiteGraph(P)
B.left; B.right
︡0f58d89d-8db7-4080-9a2a-f0b7c2e35f60︡{"stdout":"O grafo não é bipartido!\n"}︡{"stdout":"__________________________\n"}︡{"stdout":"\n"}︡{"stderr":"Error in lines 7-7\nTraceback (most recent call last):\n  File \"/cocalc/lib/python2.7/site-packages/smc_sagews/sage_server.py\", line 1044, in execute\n    exec compile(block+'\\n', '', 'single', flags=compile_flags) in namespace, locals\n  File \"\", line 1, in <module>\n  File \"/ext/sage/sage-8.1/local/lib/python2.7/site-packages/sage/graphs/bipartite_graph.py\", line 390, in __init__\n    raise TypeError(\"Input graph is not bipartite!\")\nTypeError: Input graph is not bipartite!\n"}︡{"done":true}︡
︠fa6f935d-61c8-4ecb-951b-b19f1fe9f708︠
def bip_dist(X):
    M = X.distance_matrix()
    L = []; R = []
    n = len(X)
    k = X.vertices()
    for j in range(n):
        if M[1][j] % 2 == 0:
            L.append(k[j])
        else:
            R.append(k[j])
    print L,R

bip_dist(G)
︡1e2237d0-cf67-4cf2-9ad7-d409d2207a53︡{"stdout":"[0, 1, 2, 3] [4, 5, 6]\n"}︡{"done":true}︡
︠da14a1f0-2033-4648-b6e5-a344d88b9444ss︠
G = Graph(5);G
︡b3483933-2df6-4510-8e98-245b11cede36︡{"stdout":"Graph on 5 vertices\n"}︡{"done":true}︡
︠f9907f88-56b6-4b92-807e-f20c73dc1d76s︠
G.add_edges([(0,2),(1,2)])
︡b4e50b7e-19a1-43fb-991b-c6d9748ee15e︡{"done":true}︡
︠43687b8b-c827-4455-a69e-785573d31fab︠

︡f828e12e-216a-4a70-95ae-cbe86ccc3af9︡
︠bd69e11a-a270-4e08-bb3b-ceb1a6816138s︠
G.adjacency_matrix()
︡c534bc3a-832f-42c0-941e-f098c706bb5d︡{"stdout":"[0 0 1 0 0]\n[0 0 1 0 0]\n[1 1 0 0 0]\n[0 0 0 0 0]\n[0 0 0 0 0]\n"}︡{"done":true}︡
︠50d8f28f-075d-40cd-9c70-49e267acf93ds︠
show(G)
︡4e6222db-0d41-4961-b180-e169f6f77db8︡{"d3":{"data":{"charge":-120,"directed":false,"edge_labels":false,"edge_thickness":2,"gravity":0.04,"height":null,"link_distance":50,"link_strength":1,"links":[{"color":"#aaa","curve":0,"name":"","source":0,"strength":0,"target":2},{"color":"#aaa","curve":0,"name":"","source":1,"strength":0,"target":2}],"loops":[],"nodes":[{"group":"0","name":"0"},{"group":"0","name":"1"},{"group":"0","name":"2"},{"group":"0","name":"3"},{"group":"0","name":"4"}],"pos":[],"vertex_labels":true,"vertex_size":7,"width":null},"viewer":"graph"}}︡{"done":true}︡
︠9765c4b1-da29-4d52-ba5c-e2ff410201aas︠
plot(G)
︡468e4ffe-2dfd-4705-b1bf-d482cea48588︡{"file":{"filename":"/projects/15408dd5-a5d1-4295-af50-653dee45acee/.sage/temp/compute2-us/18011/tmp_wLagWt.svg","show":true,"text":null,"uuid":"e7834cb7-e6cf-4ebf-bd13-657582d64714"},"once":false}︡{"done":true}︡
︠525aed43-61fa-4d81-86ae-092a2c9ef3cbs︠
G.has_loops()
︡4381570c-ca33-45c7-84d4-066ec489fa55︡{"stdout":"False\n"}︡{"done":true}︡
︠89cc7fe1-646d-47ff-b708-3d1250ac5c41︠

︡cc0a3800-eee5-4e0a-9d7e-0af731ffb49a︡
︠c7dc068c-eb24-4901-8b98-fd217659c372︠

︡438ddac2-7508-4f33-8a51-001d0e62c93e︡
︠51145400-e93d-4750-b4ba-f196855534ccs︠
H=Graph(5).adjacency_matrix(vertices=[2,4,1,3,0])
show(H)

︡7e0c63d5-a270-48a0-91d5-e94e22bd538c︡{"html":"<div align='center'>$\\displaystyle \\left(\\begin{array}{rrrrr}\n0 &amp; 0 &amp; 0 &amp; 0 &amp; 0 \\\\\n0 &amp; 0 &amp; 0 &amp; 0 &amp; 0 \\\\\n0 &amp; 0 &amp; 0 &amp; 0 &amp; 0 \\\\\n0 &amp; 0 &amp; 0 &amp; 0 &amp; 0 \\\\\n0 &amp; 0 &amp; 0 &amp; 0 &amp; 0\n\\end{array}\\right)$</div>"}︡{"done":true}︡
︠a61c3ba4-6d0d-4f39-8034-8972866a3e37s︠

︡edc24adf-ce91-4fc7-849b-e206c2d12eb2︡{"done":true}︡
︠a4766a19-0ba5-4aad-847d-7669659966b1s︠
G.add_path([1,3,0])
︡9cb51cf3-063f-4fc5-845f-ddf305c05621︡{"done":true}︡
︠902f0a59-0d35-4912-a122-b8f415bf2367s︠
G.add_edge([0,1])
︡e29e2434-41b9-437b-9524-b3f4df46e4f0︡{"done":true}︡
︠c5644e10-7c6f-4a6f-a4e5-b1b9da702f5as︠
show(G)
︡b25c4037-1888-4aa8-880c-591934e834b5︡{"d3":{"data":{"charge":-120,"directed":false,"edge_labels":false,"edge_thickness":2,"gravity":0.04,"height":null,"link_distance":50,"link_strength":1,"links":[{"color":"#aaa","curve":0,"name":"","source":0,"strength":0,"target":1},{"color":"#aaa","curve":0,"name":"","source":0,"strength":0,"target":2},{"color":"#aaa","curve":0,"name":"","source":0,"strength":0,"target":3},{"color":"#aaa","curve":0,"name":"","source":0,"strength":0,"target":4},{"color":"#aaa","curve":0,"name":"","source":1,"strength":0,"target":2},{"color":"#aaa","curve":0,"name":"","source":1,"strength":0,"target":3},{"color":"#aaa","curve":0,"name":"","source":2,"strength":0,"target":3},{"color":"#aaa","curve":0,"name":"","source":3,"strength":0,"target":4}],"loops":[],"nodes":[{"group":"0","name":"0"},{"group":"0","name":"1"},{"group":"0","name":"2"},{"group":"0","name":"3"},{"group":"0","name":"4"}],"pos":[],"vertex_labels":true,"vertex_size":7,"width":null},"viewer":"graph"}}︡{"done":true}︡
︠35672cb0-1c9b-402e-9202-84d84b0b9aacs︠
plot(G)
︡0798338a-fb40-43d5-8e69-e73f17d192a7︡{"file":{"filename":"/projects/15408dd5-a5d1-4295-af50-653dee45acee/.sage/temp/compute2-us/18011/tmp_cXToKg.svg","show":true,"text":null,"uuid":"1a511a37-7403-4616-bb76-108f23d30cb7"},"once":false}︡{"done":true}︡
︠10062b48-82fd-414b-b66a-6ddd3d220adfs︠
plot(G)
︡ef78677e-26d9-4ca9-904e-5d8c7b6c59e4︡{"file":{"filename":"/projects/15408dd5-a5d1-4295-af50-653dee45acee/.sage/temp/compute2-us/18011/tmp_7QyOlQ.svg","show":true,"text":null,"uuid":"ac1bd3e5-a578-4010-bde8-5ff749614a04"},"once":false}︡{"done":true}︡
︠4d2a0944-fdbb-4c4d-8f03-f00ef543ec08s︠
Mg = matrix([[1,1],[1,1]])
︡de24b32f-8b3f-4ddd-87cc-1f7dcb4cfcb3︡{"done":true}︡
︠de3642ea-d7df-4fdd-a3a2-2355cf5659d1s︠
G = Graph(Mg); plot(G)
︡16fb7b09-5fe6-4b5b-80f9-77f481ee52ca︡{"file":{"filename":"/projects/15408dd5-a5d1-4295-af50-653dee45acee/.sage/temp/compute2-us/24994/tmp_CjFbIM.svg","show":true,"text":null,"uuid":"4077a51d-98d3-436e-a20e-3a927bc780b5"},"once":false}︡{"done":true}︡
︠0fd479c8-acce-4dee-a5ea-f164e7f5143ds︠
Mg2 = matrix([[0,1,1,1],[1,0,1,0],[1,1,0,1],[1,0,1,0]]); show(Mg2)
︡ac1cb40b-5a1f-4a09-8362-38f6963fe2ab︡{"html":"<div align='center'>$\\displaystyle \\left(\\begin{array}{rrrr}\n0 &amp; 1 &amp; 1 &amp; 1 \\\\\n1 &amp; 0 &amp; 1 &amp; 0 \\\\\n1 &amp; 1 &amp; 0 &amp; 1 \\\\\n1 &amp; 0 &amp; 1 &amp; 0\n\\end{array}\\right)$</div>"}︡{"done":true}︡
︠c537beb8-5709-4bbf-bdd1-79ed40a22a03s︠
G = Graph(Mg2); plot(G)
︡a5352bf8-4d3e-406b-8110-278a018c4c6e︡{"file":{"filename":"/projects/15408dd5-a5d1-4295-af50-653dee45acee/.sage/temp/compute2-us/7266/tmp_HWvF0P.svg","show":true,"text":null,"uuid":"6fa3a0b2-6ff7-4e22-a53c-4f98070b0947"},"once":false}︡{"done":true}︡
︠f9ffa78a-eda9-49d3-965f-992542d9d542︠

︡3d17b921-39b5-4f08-9ccf-0da094d2cb70︡
︠becec6f6-4b51-44d0-886b-067f1351d620︠
72
[[(0, 1), (1, 2), (2, 3), (3, 0)], [(2, 0), (0, 3), (3, 2)], [(1, 0), (0, 2), (2, 1)]]
︡7d050d45-0edf-408f-8627-de652ff70a71︡
︠b84e3d4e-78b1-4221-b410-34baf90d6c6ds︠
show(G)
︡4ea573a9-37a6-4de6-ba19-c8cfd70a88c6︡{"d3":{"data":{"charge":-120,"directed":false,"edge_labels":false,"edge_thickness":2,"gravity":0.04,"height":null,"link_distance":50,"link_strength":1,"links":[{"color":"#aaa","curve":0,"name":"","source":0,"strength":0,"target":1},{"color":"#aaa","curve":-15,"name":"","source":0,"strength":0,"target":1},{"color":"#aaa","curve":0,"name":"","source":0,"strength":0,"target":2},{"color":"#aaa","curve":0,"name":"","source":0,"strength":0,"target":3},{"color":"#aaa","curve":0,"name":"","source":1,"strength":0,"target":2},{"color":"#aaa","curve":0,"name":"","source":2,"strength":0,"target":3}],"loops":[{"color":"#aaa","curve":20,"name":"","source":3,"strength":0,"target":3}],"nodes":[{"group":"0","name":"0"},{"group":"0","name":"1"},{"group":"0","name":"2"},{"group":"0","name":"3"}],"pos":[],"vertex_labels":true,"vertex_size":7,"width":null},"viewer":"graph"}}︡{"done":true}︡
︠c675d270-240e-4c7a-9d3e-29a17db384c7s︠
G.is_eulerian()
︡64ae2196-4933-4516-b122-6ade0a1d369f︡{"stdout":"False\n"}︡{"done":true}︡
︠a52e1bb5-bcd2-4025-893d-f1e1041b25e4s︠
G.triangles_count()
︡ae8d8293-a2ef-48ff-b14d-7e1bd2c104bb︡{"stdout":"2\n"}︡{"done":true}︡
︠8cc26bb1-849d-47cb-8d32-5c3ca9da7cf9s︠
G.faces()
︡ce73ee82-6f36-4a56-bb8f-41d7bf2c5162︡{"stdout":"[[(0, 1), (1, 2), (2, 3), (3, 0)], [(2, 0), (0, 3), (3, 2)], [(1, 0), (0, 2), (2, 1)]]\n"}︡{"done":true}︡
︠3a54f741-a042-4fba-b148-7756dd9cb754s︠
G.to_dictionary()
︡fe888a75-d3f8-47fb-b9c9-0101e703cc70︡{"stdout":"{0: [1, 2, 3], 1: [0, 2], 2: [0, 1, 3], 3: [0, 2]}\n"}︡{"done":true}︡
︠16bb449a-7b20-40ee-9088-6797e4ff2931s︠
G.incidence_matrix()
︡52958a93-a131-4ecb-9396-ff3ab4ca73de︡{"stdout":"[1 1 1 0 0]\n[1 0 0 1 0]\n[0 1 0 1 1]\n[0 0 1 0 1]\n"}︡{"done":true}︡
︠3d383274-124e-4717-84f3-f15f32b0cded︠

︡0d3a377c-0079-4a6c-b0d9-6a4182edc995︡
︠70242bdc-7dff-4aa7-9dcc-be47bd1338c3s︠
G=Graph({0:[4,5,6], 1:[4,5], 2:[4,6], 3:[4,5,6]})
︡57072fdd-1a00-456a-a693-7e2d03f680c4︡{"done":true}︡
︠7b223a58-a769-415d-9c0b-6dae92e957c8s︠
plot(G)
︡e3672683-a235-454b-9903-05f15f21e164︡{"file":{"filename":"/projects/15408dd5-a5d1-4295-af50-653dee45acee/.sage/temp/compute0-us/19279/tmp_EdRryw.svg","show":true,"text":null,"uuid":"b7828f0a-4c26-4c10-a40d-3b0a25d3d8a4"},"once":false}︡{"done":true}︡
︠548dbfb2-87a6-4047-a968-3cc1d514193cs︠
Mg2 = matrix([[0,0,0,0,0,1,1],[0,0,0,0,1,1,0],[0,0,0,0,1,0,1],[0,0,0,0,1,1,1],[0,1,1,1,0,0,0],[1,1,0,1,0,0,0], [1,0,1,1,0,0,0]]); show(Mg2)
G = Graph(Mg2); plot(G)
︡d9d2f251-4d6e-4f06-9c46-1856a105f8f3︡{"html":"<div align='center'>$\\displaystyle \\left(\\begin{array}{rrrrrrr}\n0 &amp; 0 &amp; 0 &amp; 0 &amp; 0 &amp; 1 &amp; 1 \\\\\n0 &amp; 0 &amp; 0 &amp; 0 &amp; 1 &amp; 1 &amp; 0 \\\\\n0 &amp; 0 &amp; 0 &amp; 0 &amp; 1 &amp; 0 &amp; 1 \\\\\n0 &amp; 0 &amp; 0 &amp; 0 &amp; 1 &amp; 1 &amp; 1 \\\\\n0 &amp; 1 &amp; 1 &amp; 1 &amp; 0 &amp; 0 &amp; 0 \\\\\n1 &amp; 1 &amp; 0 &amp; 1 &amp; 0 &amp; 0 &amp; 0 \\\\\n1 &amp; 0 &amp; 1 &amp; 1 &amp; 0 &amp; 0 &amp; 0\n\\end{array}\\right)$</div>"}︡{"file":{"filename":"/home/user/.sage/temp/project-15408dd5-a5d1-4295-af50-653dee45acee/124/tmp_FtTTOW.svg","show":true,"text":null,"uuid":"0c4570d8-bd3e-4d95-b818-238d2f02b51b"},"once":false}︡{"done":true}︡
︠62de2a3f-bc1d-459b-9657-e8531eac9066s︠
H = Graph(Mg2^2); plot(H)
︡1420155e-da72-4dc5-9171-23bdae07287d︡{"file":{"filename":"/home/user/.sage/temp/project-15408dd5-a5d1-4295-af50-653dee45acee/124/tmp_BQAagN.svg","show":true,"text":null,"uuid":"12fb1a04-af06-4751-8bcc-cd4cc52db720"},"once":false}︡{"done":true}︡
︠8922a438-cf6a-463c-a9ba-fa2baf727fe9s︠
A = matrix.random(ZZ, 3); A
︡ce5f3b4d-8bce-4a92-91b7-858e789b5b82︡{"stdout":"[5550   -2   24]\n[   0   59   -3]\n[   0   -2    3]\n"}︡{"done":true}︡
︠56e32e78-5a5e-4863-a793-e0d4bd1db896s︠
type(A.row(1))
︡8d80c1f4-f3be-43fa-a606-871afc12ec35︡{"stdout":"<type 'sage.modules.vector_integer_dense.Vector_integer_dense'>\n"}︡{"done":true}︡
︠8e99eabf-82e5-4b8a-b2f5-2b8dbea4f085︠

︡2cd3e85b-56c0-4fa9-9daa-fb7ea9863034︡{"done":true}︡
︠714e7649-a129-4742-ad30-3342e00d6b3e︠
To bypass auto-detection, prefer the more explicit
      "Graph([V,E],format='vertices_and_edges')".

   4. "Graph(list_of_edges)" -- return a graph with a given list
      of edges (see documentation of "add_edges()").

      To bypass auto-detection, prefer the more explicit "Graph(L,
      format='list_of_edges')".
︡e8c74b50-c914-4d68-a3de-45b50db74e85︡
︠9745eab2-0188-4c58-9b7f-be02c639b7afs︠
V = ['A', 'B', 'C', 'D', 'E', 'F', 'G']
E = [['A', 'E'],['A', 'F'],['B', 'C'], ['B', 'D'],['B','E'],['B','G'],['C','F'],['C','G'],['D','G'],['F','G'], ['C', 'C']]
︡ed64a812-d35a-4ff0-818f-2ad1aee66b18︡{"done":true}︡
︠094832df-b306-45ef-ae4d-d5c07057a044s︠
G=Graph([V,E],format='vertices_and_edges'); plot(G)
︡46cb9661-6015-4ce3-a494-a0a895f145ff︡{"file":{"filename":"/home/user/.sage/temp/project-15408dd5-a5d1-4295-af50-653dee45acee/217/tmp_i_F2tJ.svg","show":true,"text":null,"uuid":"9eba8320-ee2a-489c-aeff-f10ade147a5c"},"once":false}︡{"done":true}︡
︠300fdc12-1b4e-460f-9eef-8b2f25d25d4fs︠
G.vertices()
︡4c7fad4e-6b26-49ee-ab45-1ab5b49930bd︡{"stdout":"['A', 'B', 'C', 'D', 'E', 'F', 'G']\n"}︡{"done":true}︡
︠6666603b-684d-4a7a-85ca-aaa8bcf0aa20s︠
len(G.neighbors('A'))
︡18864f08-ff17-48b3-97e9-84a2531861a6︡{"stdout":"2\n"}︡{"done":true}︡
︠1f994786-8a79-4aa6-83a0-6baa388546b2s︠
G.edges()
︡166c3dfa-e619-45ac-b655-cd2c415da1b1︡{"stdout":"[('A', 'E', None), ('A', 'F', None), ('B', 'C', None), ('B', 'D', None), ('B', 'E', None), ('B', 'G', None), ('C', 'F', None), ('C', 'G', None), ('D', 'G', None), ('F', 'G', None)]\n"}︡{"done":true}︡
︠ce6a56b1-8dee-49ec-ab66-af54ba34990f︠

︡fcfc345d-7814-4aa5-8252-0780e8e88de2︡
︠471c213f-ee53-4e7a-94eb-09a2ab31b9a1s︠
g=1
v='X'
for i in G.vertices():
    if len(G.neighbors(i))>g:
        g = len(G.neighbors(i))
        v=i
v, g
︡35f7c182-3f38-473a-8549-a75f2e8417fe︡{"stdout":"('B', 4)\n"}︡{"done":true}︡
︠02523465-2f09-48db-929f-a2b8360b128bs︠
H.has_loops()
︡97934efd-eba7-4211-be3e-4af780c16141︡{"stdout":"True\n"}︡{"done":true}︡
︠37cb1cbf-99b5-43c3-8780-bd1bcb4595f1s︠
v = {
'A': ['A','B','D','O'],
'B': ['C', 'M', 'N'],
'C': ['C','D','P'],
'D': ['M', 'O'],
'E': ['N','P'],
'M': ['P','N']
}
H = Graph(v)
H.has_loops()
H.loops()
# L=[]
# for i in H.edges():
#     print i
#     if i[0]==i[1]:
#         L.append(i[0])
# L
︡3b4057c9-93fd-4dbe-b74d-1bb9a0feef63︡{"stdout":"True\n"}︡{"stdout":"[('A', 'A', None), ('C', 'C', None)]\n"}︡{"done":true}︡
︠8d4ff2f3-5459-4c60-a027-bb72478ea984s︠
H = Graph(E,format='list_of_edges'); plot(H)
︡24ab6b9d-7b57-4c52-878b-e721db7add02︡{"stderr":"<string>:1: DeprecationWarning: You created a graph with loops from a list. Please set 'loops' to 'True' when you do so, as in the future the default behaviour will be to ignore those edges\nSee http://trac.sagemath.org/15706 for details.\n"}︡{"file":{"filename":"/home/user/.sage/temp/project-15408dd5-a5d1-4295-af50-653dee45acee/217/tmp_Q2Wv42.svg","show":true,"text":null,"uuid":"41991228-13c2-4cb6-b41c-5372c78eb538"},"once":false}︡{"done":true}︡
︠8beb5fff-0b9b-4df1-83fb-3de986c23846si︠
%latex
Atividade 1, calcule o número cromático
︡75705166-d876-4839-a9e0-6f65edb67ea7︡{"file":{"filename":"/tmp/tmp7kcoFT.png","show":true,"text":null,"uuid":"e684b1a4-564c-4e18-ba3a-4082f99e270a"},"once":false}︡{"done":true}︡
︠a86d8c07-e937-4359-a954-3031e0ce0cd3s︠
v = {
'A': ['B','D','O'],
'B': ['C', 'M', 'N'],
'C': ['D','P'],
'D': ['M', 'O'],
'E': ['N','P'],
'M': ['P','N']
}
G = Graph(v)
︡895c10a9-7f68-4cfa-994f-14c0e1f2fc1b︡{"done":true}︡
︠138e979e-8fc4-49b3-947d-0349ec70f4c9s︠
plot(G)
︡c03b404f-faf0-4dcf-a39a-9fd9fc84baa1︡{"file":{"filename":"/projects/15408dd5-a5d1-4295-af50-653dee45acee/.sage/temp/compute0-us/6085/tmp_AlqEUL.svg","show":true,"text":null,"uuid":"524ae764-3f20-497e-8b63-879abb540426"},"once":false}︡{"done":true}︡
︠0cb6e3a1-4da4-498b-bd1e-75cf7ff65222s︠
G.chromatic_number()
︡97193990-edd6-4120-b417-54be28dc40d1︡{"stdout":"3\n"}︡{"done":true}︡
︠05e2bd8e-3596-40a4-a471-185ec8ecab2bs︠
H = G.coloring(hex_colors=True)
G.plot(vertex_colors=H)
︡be3a4598-e800-43e9-b307-4723c0bbd329︡{"file":{"filename":"/projects/15408dd5-a5d1-4295-af50-653dee45acee/.sage/temp/compute0-us/6085/tmp_P7RtgM.svg","show":true,"text":null,"uuid":"4c15d119-73f9-4ea3-b32c-6974a4da8f18"},"once":false}︡{"done":true}︡
︠c3e54e87-0708-414a-a49e-b4d0ffda9905s︠
def soma(n,m):
    
    
    for i in range(10):
        n = n+i
        m = m*n

    return [n,m]
︡93108416-2cbd-4984-90ad-864f98e9b8d6︡{"done":true}︡
︠75b12e50-61d1-432e-9c55-d35b5281a8cds︠
matrix.random(ZZ, 1, 6, x=1, y=6)
︡9d16037b-a2a8-4e7f-b5ed-ab6de88783ca︡{"stdout":"[2 2 4 4 5 3]\n"}︡{"done":true}︡
︠87970721-7ae7-46ea-8451-d1f31aa90c07s︠
Permutations(6).list()
︡ddd1981c-543f-4c44-921f-59d49f6d9f1d︡{"stdout":"[[1, 2, 3, 4, 5, 6], [1, 2, 3, 4, 6, 5], [1, 2, 3, 5, 4, 6], [1, 2, 3, 5, 6, 4], [1, 2, 3, 6, 4, 5], [1, 2, 3, 6, 5, 4], [1, 2, 4, 3, 5, 6], [1, 2, 4, 3, 6, 5], [1, 2, 4, 5, 3, 6], [1, 2, 4, 5, 6, 3], [1, 2, 4, 6, 3, 5], [1, 2, 4, 6, 5, 3], [1, 2, 5, 3, 4, 6], [1, 2, 5, 3, 6, 4], [1, 2, 5, 4, 3, 6], [1, 2, 5, 4, 6, 3], [1, 2, 5, 6, 3, 4], [1, 2, 5, 6, 4, 3], [1, 2, 6, 3, 4, 5], [1, 2, 6, 3, 5, 4], [1, 2, 6, 4, 3, 5], [1, 2, 6, 4, 5, 3], [1, 2, 6, 5, 3, 4], [1, 2, 6, 5, 4, 3], [1, 3, 2, 4, 5, 6], [1, 3, 2, 4, 6, 5], [1, 3, 2, 5, 4, 6], [1, 3, 2, 5, 6, 4], [1, 3, 2, 6, 4, 5], [1, 3, 2, 6, 5, 4], [1, 3, 4, 2, 5, 6], [1, 3, 4, 2, 6, 5], [1, 3, 4, 5, 2, 6], [1, 3, 4, 5, 6, 2], [1, 3, 4, 6, 2, 5], [1, 3, 4, 6, 5, 2], [1, 3, 5, 2, 4, 6], [1, 3, 5, 2, 6, 4], [1, 3, 5, 4, 2, 6], [1, 3, 5, 4, 6, 2], [1, 3, 5, 6, 2, 4], [1, 3, 5, 6, 4, 2], [1, 3, 6, 2, 4, 5], [1, 3, 6, 2, 5, 4], [1, 3, 6, 4, 2, 5], [1, 3, 6, 4, 5, 2], [1, 3, 6, 5, 2, 4], [1, 3, 6, 5, 4, 2], [1, 4, 2, 3, 5, 6], [1, 4, 2, 3, 6, 5], [1, 4, 2, 5, 3, 6], [1, 4, 2, 5, 6, 3], [1, 4, 2, 6, 3, 5], [1, 4, 2, 6, 5, 3], [1, 4, 3, 2, 5, 6], [1, 4, 3, 2, 6, 5], [1, 4, 3, 5, 2, 6], [1, 4, 3, 5, 6, 2], [1, 4, 3, 6, 2, 5], [1, 4, 3, 6, 5, 2], [1, 4, 5, 2, 3, 6], [1, 4, 5, 2, 6, 3], [1, 4, 5, 3, 2, 6], [1, 4, 5, 3, 6, 2], [1, 4, 5, 6, 2, 3], [1, 4, 5, 6, 3, 2], [1, 4, 6, 2, 3, 5], [1, 4, 6, 2, 5, 3], [1, 4, 6, 3, 2, 5], [1, 4, 6, 3, 5, 2], [1, 4, 6, 5, 2, 3], [1, 4, 6, 5, 3, 2], [1, 5, 2, 3, 4, 6], [1, 5, 2, 3, 6, 4], [1, 5, 2, 4, 3, 6], [1, 5, 2, 4, 6, 3], [1, 5, 2, 6, 3, 4], [1, 5, 2, 6, 4, 3], [1, 5, 3, 2, 4, 6], [1, 5, 3, 2, 6, 4], [1, 5, 3, 4, 2, 6], [1, 5, 3, 4, 6, 2], [1, 5, 3, 6, 2, 4], [1, 5, 3, 6, 4, 2], [1, 5, 4, 2, 3, 6], [1, 5, 4, 2, 6, 3], [1, 5, 4, 3, 2, 6], [1, 5, 4, 3, 6, 2], [1, 5, 4, 6, 2, 3], [1, 5, 4, 6, 3, 2], [1, 5, 6, 2, 3, 4], [1, 5, 6, 2, 4, 3], [1, 5, 6, 3, 2, 4], [1, 5, 6, 3, 4, 2], [1, 5, 6, 4, 2, 3], [1, 5, 6, 4, 3, 2], [1, 6, 2, 3, 4, 5], [1, 6, 2, 3, 5, 4], [1, 6, 2, 4, 3, 5], [1, 6, 2, 4, 5, 3], [1, 6, 2, 5, 3, 4], [1, 6, 2, 5, 4, 3], [1, 6, 3, 2, 4, 5], [1, 6, 3, 2, 5, 4], [1, 6, 3, 4, 2, 5], [1, 6, 3, 4, 5, 2], [1, 6, 3, 5, 2, 4], [1, 6, 3, 5, 4, 2], [1, 6, 4, 2, 3, 5], [1, 6, 4, 2, 5, 3], [1, 6, 4, 3, 2, 5], [1, 6, 4, 3, 5, 2], [1, 6, 4, 5, 2, 3], [1, 6, 4, 5, 3, 2], [1, 6, 5, 2, 3, 4], [1, 6, 5, 2, 4, 3], [1, 6, 5, 3, 2, 4], [1, 6, 5, 3, 4, 2], [1, 6, 5, 4, 2, 3], [1, 6, 5, 4, 3, 2], [2, 1, 3, 4, 5, 6], [2, 1, 3, 4, 6, 5], [2, 1, 3, 5, 4, 6], [2, 1, 3, 5, 6, 4], [2, 1, 3, 6, 4, 5], [2, 1, 3, 6, 5, 4], [2, 1, 4, 3, 5, 6], [2, 1, 4, 3, 6, 5], [2, 1, 4, 5, 3, 6], [2, 1, 4, 5, 6, 3], [2, 1, 4, 6, 3, 5], [2, 1, 4, 6, 5, 3], [2, 1, 5, 3, 4, 6], [2, 1, 5, 3, 6, 4], [2, 1, 5, 4, 3, 6], [2, 1, 5, 4, 6, 3], [2, 1, 5, 6, 3, 4], [2, 1, 5, 6, 4, 3], [2, 1, 6, 3, 4, 5], [2, 1, 6, 3, 5, 4], [2, 1, 6, 4, 3, 5], [2, 1, 6, 4, 5, 3], [2, 1, 6, 5, 3, 4], [2, 1, 6, 5, 4, 3], [2, 3, 1, 4, 5, 6], [2, 3, 1, 4, 6, 5], [2, 3, 1, 5, 4, 6], [2, 3, 1, 5, 6, 4], [2, 3, 1, 6, 4, 5], [2, 3, 1, 6, 5, 4], [2, 3, 4, 1, 5, 6], [2, 3, 4, 1, 6, 5], [2, 3, 4, 5, 1, 6], [2, 3, 4, 5, 6, 1], [2, 3, 4, 6, 1, 5], [2, 3, 4, 6, 5, 1], [2, 3, 5, 1, 4, 6], [2, 3, 5, 1, 6, 4], [2, 3, 5, 4, 1, 6], [2, 3, 5, 4, 6, 1], [2, 3, 5, 6, 1, 4], [2, 3, 5, 6, 4, 1], [2, 3, 6, 1, 4, 5], [2, 3, 6, 1, 5, 4], [2, 3, 6, 4, 1, 5], [2, 3, 6, 4, 5, 1], [2, 3, 6, 5, 1, 4], [2, 3, 6, 5, 4, 1], [2, 4, 1, 3, 5, 6], [2, 4, 1, 3, 6, 5], [2, 4, 1, 5, 3, 6], [2, 4, 1, 5, 6, 3], [2, 4, 1, 6, 3, 5], [2, 4, 1, 6, 5, 3], [2, 4, 3, 1, 5, 6], [2, 4, 3, 1, 6, 5], [2, 4, 3, 5, 1, 6], [2, 4, 3, 5, 6, 1], [2, 4, 3, 6, 1, 5], [2, 4, 3, 6, 5, 1], [2, 4, 5, 1, 3, 6], [2, 4, 5, 1, 6, 3], [2, 4, 5, 3, 1, 6], [2, 4, 5, 3, 6, 1], [2, 4, 5, 6, 1, 3], [2, 4, 5, 6, 3, 1], [2, 4, 6, 1, 3, 5], [2, 4, 6, 1, 5, 3], [2, 4, 6, 3, 1, 5], [2, 4, 6, 3, 5, 1], [2, 4, 6, 5, 1, 3], [2, 4, 6, 5, 3, 1], [2, 5, 1, 3, 4, 6], [2, 5, 1, 3, 6, 4], [2, 5, 1, 4, 3, 6], [2, 5, 1, 4, 6, 3], [2, 5, 1, 6, 3, 4], [2, 5, 1, 6, 4, 3], [2, 5, 3, 1, 4, 6], [2, 5, 3, 1, 6, 4], [2, 5, 3, 4, 1, 6], [2, 5, 3, 4, 6, 1], [2, 5, 3, 6, 1, 4], [2, 5, 3, 6, 4, 1], [2, 5, 4, 1, 3, 6], [2, 5, 4, 1, 6, 3], [2, 5, 4, 3, 1, 6], [2, 5, 4, 3, 6, 1], [2, 5, 4, 6, 1, 3], [2, 5, 4, 6, 3, 1], [2, 5, 6, 1, 3, 4], [2, 5, 6, 1, 4, 3], [2, 5, 6, 3, 1, 4], [2, 5, 6, 3, 4, 1], [2, 5, 6, 4, 1, 3], [2, 5, 6, 4, 3, 1], [2, 6, 1, 3, 4, 5], [2, 6, 1, 3, 5, 4], [2, 6, 1, 4, 3, 5], [2, 6, 1, 4, 5, 3], [2, 6, 1, 5, 3, 4], [2, 6, 1, 5, 4, 3], [2, 6, 3, 1, 4, 5], [2, 6, 3, 1, 5, 4], [2, 6, 3, 4, 1, 5], [2, 6, 3, 4, 5, 1], [2, 6, 3, 5, 1, 4], [2, 6, 3, 5, 4, 1], [2, 6, 4, 1, 3, 5], [2, 6, 4, 1, 5, 3], [2, 6, 4, 3, 1, 5], [2, 6, 4, 3, 5, 1], [2, 6, 4, 5, 1, 3], [2, 6, 4, 5, 3, 1], [2, 6, 5, 1, 3, 4], [2, 6, 5, 1, 4, 3], [2, 6, 5, 3, 1, 4], [2, 6, 5, 3, 4, 1], [2, 6, 5, 4, 1, 3], [2, 6, 5, 4, 3, 1], [3, 1, 2, 4, 5, 6], [3, 1, 2, 4, 6, 5], [3, 1, 2, 5, 4, 6], [3, 1, 2, 5, 6, 4], [3, 1, 2, 6, 4, 5], [3, 1, 2, 6, 5, 4], [3, 1, 4, 2, 5, 6], [3, 1, 4, 2, 6, 5], [3, 1, 4, 5, 2, 6], [3, 1, 4, 5, 6, 2], [3, 1, 4, 6, 2, 5], [3, 1, 4, 6, 5, 2], [3, 1, 5, 2, 4, 6], [3, 1, 5, 2, 6, 4], [3, 1, 5, 4, 2, 6], [3, 1, 5, 4, 6, 2], [3, 1, 5, 6, 2, 4], [3, 1, 5, 6, 4, 2], [3, 1, 6, 2, 4, 5], [3, 1, 6, 2, 5, 4], [3, 1, 6, 4, 2, 5], [3, 1, 6, 4, 5, 2], [3, 1, 6, 5, 2, 4], [3, 1, 6, 5, 4, 2], [3, 2, 1, 4, 5, 6], [3, 2, 1, 4, 6, 5], [3, 2, 1, 5, 4, 6], [3, 2, 1, 5, 6, 4], [3, 2, 1, 6, 4, 5], [3, 2, 1, 6, 5, 4], [3, 2, 4, 1, 5, 6], [3, 2, 4, 1, 6, 5], [3, 2, 4, 5, 1, 6], [3, 2, 4, 5, 6, 1], [3, 2, 4, 6, 1, 5], [3, 2, 4, 6, 5, 1], [3, 2, 5, 1, 4, 6], [3, 2, 5, 1, 6, 4], [3, 2, 5, 4, 1, 6], [3, 2, 5, 4, 6, 1], [3, 2, 5, 6, 1, 4], [3, 2, 5, 6, 4, 1], [3, 2, 6, 1, 4, 5], [3, 2, 6, 1, 5, 4], [3, 2, 6, 4, 1, 5], [3, 2, 6, 4, 5, 1], [3, 2, 6, 5, 1, 4], [3, 2, 6, 5, 4, 1], [3, 4, 1, 2, 5, 6], [3, 4, 1, 2, 6, 5], [3, 4, 1, 5, 2, 6], [3, 4, 1, 5, 6, 2], [3, 4, 1, 6, 2, 5], [3, 4, 1, 6, 5, 2], [3, 4, 2, 1, 5, 6], [3, 4, 2, 1, 6, 5], [3, 4, 2, 5, 1, 6], [3, 4, 2, 5, 6, 1], [3, 4, 2, 6, 1, 5], [3, 4, 2, 6, 5, 1], [3, 4, 5, 1, 2, 6], [3, 4, 5, 1, 6, 2], [3, 4, 5, 2, 1, 6], [3, 4, 5, 2, 6, 1], [3, 4, 5, 6, 1, 2], [3, 4, 5, 6, 2, 1], [3, 4, 6, 1, 2, 5], [3, 4, 6, 1, 5, 2], [3, 4, 6, 2, 1, 5], [3, 4, 6, 2, 5, 1], [3, 4, 6, 5, 1, 2], [3, 4, 6, 5, 2, 1], [3, 5, 1, 2, 4, 6], [3, 5, 1, 2, 6, 4], [3, 5, 1, 4, 2, 6], [3, 5, 1, 4, 6, 2], [3, 5, 1, 6, 2, 4], [3, 5, 1, 6, 4, 2], [3, 5, 2, 1, 4, 6], [3, 5, 2, 1, 6, 4], [3, 5, 2, 4, 1, 6], [3, 5, 2, 4, 6, 1], [3, 5, 2, 6, 1, 4], [3, 5, 2, 6, 4, 1], [3, 5, 4, 1, 2, 6], [3, 5, 4, 1, 6, 2], [3, 5, 4, 2, 1, 6], [3, 5, 4, 2, 6, 1], [3, 5, 4, 6, 1, 2], [3, 5, 4, 6, 2, 1], [3, 5, 6, 1, 2, 4], [3, 5, 6, 1, 4, 2], [3, 5, 6, 2, 1, 4], [3, 5, 6, 2, 4, 1], [3, 5, 6, 4, 1, 2], [3, 5, 6, 4, 2, 1], [3, 6, 1, 2, 4, 5], [3, 6, 1, 2, 5, 4], [3, 6, 1, 4, 2, 5], [3, 6, 1, 4, 5, 2], [3, 6, 1, 5, 2, 4], [3, 6, 1, 5, 4, 2], [3, 6, 2, 1, 4, 5], [3, 6, 2, 1, 5, 4], [3, 6, 2, 4, 1, 5], [3, 6, 2, 4, 5, 1], [3, 6, 2, 5, 1, 4], [3, 6, 2, 5, 4, 1], [3, 6, 4, 1, 2, 5], [3, 6, 4, 1, 5, 2], [3, 6, 4, 2, 1, 5], [3, 6, 4, 2, 5, 1], [3, 6, 4, 5, 1, 2], [3, 6, 4, 5, 2, 1], [3, 6, 5, 1, 2, 4], [3, 6, 5, 1, 4, 2], [3, 6, 5, 2, 1, 4], [3, 6, 5, 2, 4, 1], [3, 6, 5, 4, 1, 2], [3, 6, 5, 4, 2, 1], [4, 1, 2, 3, 5, 6], [4, 1, 2, 3, 6, 5], [4, 1, 2, 5, 3, 6], [4, 1, 2, 5, 6, 3], [4, 1, 2, 6, 3, 5], [4, 1, 2, 6, 5, 3], [4, 1, 3, 2, 5, 6], [4, 1, 3, 2, 6, 5], [4, 1, 3, 5, 2, 6], [4, 1, 3, 5, 6, 2], [4, 1, 3, 6, 2, 5], [4, 1, 3, 6, 5, 2], [4, 1, 5, 2, 3, 6], [4, 1, 5, 2, 6, 3], [4, 1, 5, 3, 2, 6], [4, 1, 5, 3, 6, 2], [4, 1, 5, 6, 2, 3], [4, 1, 5, 6, 3, 2], [4, 1, 6, 2, 3, 5], [4, 1, 6, 2, 5, 3], [4, 1, 6, 3, 2, 5], [4, 1, 6, 3, 5, 2], [4, 1, 6, 5, 2, 3], [4, 1, 6, 5, 3, 2], [4, 2, 1, 3, 5, 6], [4, 2, 1, 3, 6, 5], [4, 2, 1, 5, 3, 6], [4, 2, 1, 5, 6, 3], [4, 2, 1, 6, 3, 5], [4, 2, 1, 6, 5, 3], [4, 2, 3, 1, 5, 6], [4, 2, 3, 1, 6, 5], [4, 2, 3, 5, 1, 6], [4, 2, 3, 5, 6, 1], [4, 2, 3, 6, 1, 5], [4, 2, 3, 6, 5, 1], [4, 2, 5, 1, 3, 6], [4, 2, 5, 1, 6, 3], [4, 2, 5, 3, 1, 6], [4, 2, 5, 3, 6, 1], [4, 2, 5, 6, 1, 3], [4, 2, 5, 6, 3, 1], [4, 2, 6, 1, 3, 5], [4, 2, 6, 1, 5, 3], [4, 2, 6, 3, 1, 5], [4, 2, 6, 3, 5, 1], [4, 2, 6, 5, 1, 3], [4, 2, 6, 5, 3, 1], [4, 3, 1, 2, 5, 6], [4, 3, 1, 2, 6, 5], [4, 3, 1, 5, 2, 6], [4, 3, 1, 5, 6, 2], [4, 3, 1, 6, 2, 5], [4, 3, 1, 6, 5, 2], [4, 3, 2, 1, 5, 6], [4, 3, 2, 1, 6, 5], [4, 3, 2, 5, 1, 6], [4, 3, 2, 5, 6, 1], [4, 3, 2, 6, 1, 5], [4, 3, 2, 6, 5, 1], [4, 3, 5, 1, 2, 6], [4, 3, 5, 1, 6, 2], [4, 3, 5, 2, 1, 6], [4, 3, 5, 2, 6, 1], [4, 3, 5, 6, 1, 2], [4, 3, 5, 6, 2, 1], [4, 3, 6, 1, 2, 5], [4, 3, 6, 1, 5, 2], [4, 3, 6, 2, 1, 5], [4, 3, 6, 2, 5, 1], [4, 3, 6, 5, 1, 2], [4, 3, 6, 5, 2, 1], [4, 5, 1, 2, 3, 6], [4, 5, 1, 2, 6, 3], [4, 5, 1, 3, 2, 6], [4, 5, 1, 3, 6, 2], [4, 5, 1, 6, 2, 3], [4, 5, 1, 6, 3, 2], [4, 5, 2, 1, 3, 6], [4, 5, 2, 1, 6, 3], [4, 5, 2, 3, 1, 6], [4, 5, 2, 3, 6, 1], [4, 5, 2, 6, 1, 3], [4, 5, 2, 6, 3, 1], [4, 5, 3, 1, 2, 6], [4, 5, 3, 1, 6, 2], [4, 5, 3, 2, 1, 6], [4, 5, 3, 2, 6, 1], [4, 5, 3, 6, 1, 2], [4, 5, 3, 6, 2, 1], [4, 5, 6, 1, 2, 3], [4, 5, 6, 1, 3, 2], [4, 5, 6, 2, 1, 3], [4, 5, 6, 2, 3, 1], [4, 5, 6, 3, 1, 2], [4, 5, 6, 3, 2, 1], [4, 6, 1, 2, 3, 5], [4, 6, 1, 2, 5, 3], [4, 6, 1, 3, 2, 5], [4, 6, 1, 3, 5, 2], [4, 6, 1, 5, 2, 3], [4, 6, 1, 5, 3, 2], [4, 6, 2, 1, 3, 5], [4, 6, 2, 1, 5, 3], [4, 6, 2, 3, 1, 5], [4, 6, 2, 3, 5, 1], [4, 6, 2, 5, 1, 3], [4, 6, 2, 5, 3, 1], [4, 6, 3, 1, 2, 5], [4, 6, 3, 1, 5, 2], [4, 6, 3, 2, 1, 5], [4, 6, 3, 2, 5, 1], [4, 6, 3, 5, 1, 2], [4, 6, 3, 5, 2, 1], [4, 6, 5, 1, 2, 3], [4, 6, 5, 1, 3, 2], [4, 6, 5, 2, 1, 3], [4, 6, 5, 2, 3, 1], [4, 6, 5, 3, 1, 2], [4, 6, 5, 3, 2, 1], [5, 1, 2, 3, 4, 6], [5, 1, 2, 3, 6, 4], [5, 1, 2, 4, 3, 6], [5, 1, 2, 4, 6, 3], [5, 1, 2, 6, 3, 4], [5, 1, 2, 6, 4, 3], [5, 1, 3, 2, 4, 6], [5, 1, 3, 2, 6, 4], [5, 1, 3, 4, 2, 6], [5, 1, 3, 4, 6, 2], [5, 1, 3, 6, 2, 4], [5, 1, 3, 6, 4, 2], [5, 1, 4, 2, 3, 6], [5, 1, 4, 2, 6, 3], [5, 1, 4, 3, 2, 6], [5, 1, 4, 3, 6, 2], [5, 1, 4, 6, 2, 3], [5, 1, 4, 6, 3, 2], [5, 1, 6, 2, 3, 4], [5, 1, 6, 2, 4, 3], [5, 1, 6, 3, 2, 4], [5, 1, 6, 3, 4, 2], [5, 1, 6, 4, 2, 3], [5, 1, 6, 4, 3, 2], [5, 2, 1, 3, 4, 6], [5, 2, 1, 3, 6, 4], [5, 2, 1, 4, 3, 6], [5, 2, 1, 4, 6, 3], [5, 2, 1, 6, 3, 4], [5, 2, 1, 6, 4, 3], [5, 2, 3, 1, 4, 6], [5, 2, 3, 1, 6, 4], [5, 2, 3, 4, 1, 6], [5, 2, 3, 4, 6, 1], [5, 2, 3, 6, 1, 4], [5, 2, 3, 6, 4, 1], [5, 2, 4, 1, 3, 6], [5, 2, 4, 1, 6, 3], [5, 2, 4, 3, 1, 6], [5, 2, 4, 3, 6, 1], [5, 2, 4, 6, 1, 3], [5, 2, 4, 6, 3, 1], [5, 2, 6, 1, 3, 4], [5, 2, 6, 1, 4, 3], [5, 2, 6, 3, 1, 4], [5, 2, 6, 3, 4, 1], [5, 2, 6, 4, 1, 3], [5, 2, 6, 4, 3, 1], [5, 3, 1, 2, 4, 6], [5, 3, 1, 2, 6, 4], [5, 3, 1, 4, 2, 6], [5, 3, 1, 4, 6, 2], [5, 3, 1, 6, 2, 4], [5, 3, 1, 6, 4, 2], [5, 3, 2, 1, 4, 6], [5, 3, 2, 1, 6, 4], [5, 3, 2, 4, 1, 6], [5, 3, 2, 4, 6, 1], [5, 3, 2, 6, 1, 4], [5, 3, 2, 6, 4, 1], [5, 3, 4, 1, 2, 6], [5, 3, 4, 1, 6, 2], [5, 3, 4, 2, 1, 6], [5, 3, 4, 2, 6, 1], [5, 3, 4, 6, 1, 2], [5, 3, 4, 6, 2, 1], [5, 3, 6, 1, 2, 4], [5, 3, 6, 1, 4, 2], [5, 3, 6, 2, 1, 4], [5, 3, 6, 2, 4, 1], [5, 3, 6, 4, 1, 2], [5, 3, 6, 4, 2, 1], [5, 4, 1, 2, 3, 6], [5, 4, 1, 2, 6, 3], [5, 4, 1, 3, 2, 6], [5, 4, 1, 3, 6, 2], [5, 4, 1, 6, 2, 3], [5, 4, 1, 6, 3, 2], [5, 4, 2, 1, 3, 6], [5, 4, 2, 1, 6, 3], [5, 4, 2, 3, 1, 6], [5, 4, 2, 3, 6, 1], [5, 4, 2, 6, 1, 3], [5, 4, 2, 6, 3, 1], [5, 4, 3, 1, 2, 6], [5, 4, 3, 1, 6, 2], [5, 4, 3, 2, 1, 6], [5, 4, 3, 2, 6, 1], [5, 4, 3, 6, 1, 2], [5, 4, 3, 6, 2, 1], [5, 4, 6, 1, 2, 3], [5, 4, 6, 1, 3, 2], [5, 4, 6, 2, 1, 3], [5, 4, 6, 2, 3, 1], [5, 4, 6, 3, 1, 2], [5, 4, 6, 3, 2, 1], [5, 6, 1, 2, 3, 4], [5, 6, 1, 2, 4, 3], [5, 6, 1, 3, 2, 4], [5, 6, 1, 3, 4, 2], [5, 6, 1, 4, 2, 3], [5, 6, 1, 4, 3, 2], [5, 6, 2, 1, 3, 4], [5, 6, 2, 1, 4, 3], [5, 6, 2, 3, 1, 4], [5, 6, 2, 3, 4, 1], [5, 6, 2, 4, 1, 3], [5, 6, 2, 4, 3, 1], [5, 6, 3, 1, 2, 4], [5, 6, 3, 1, 4, 2], [5, 6, 3, 2, 1, 4], [5, 6, 3, 2, 4, 1], [5, 6, 3, 4, 1, 2], [5, 6, 3, 4, 2, 1], [5, 6, 4, 1, 2, 3], [5, 6, 4, 1, 3, 2], [5, 6, 4, 2, 1, 3], [5, 6, 4, 2, 3, 1], [5, 6, 4, 3, 1, 2], [5, 6, 4, 3, 2, 1], [6, 1, 2, 3, 4, 5], [6, 1, 2, 3, 5, 4], [6, 1, 2, 4, 3, 5], [6, 1, 2, 4, 5, 3], [6, 1, 2, 5, 3, 4], [6, 1, 2, 5, 4, 3], [6, 1, 3, 2, 4, 5], [6, 1, 3, 2, 5, 4], [6, 1, 3, 4, 2, 5], [6, 1, 3, 4, 5, 2], [6, 1, 3, 5, 2, 4], [6, 1, 3, 5, 4, 2], [6, 1, 4, 2, 3, 5], [6, 1, 4, 2, 5, 3], [6, 1, 4, 3, 2, 5], [6, 1, 4, 3, 5, 2], [6, 1, 4, 5, 2, 3], [6, 1, 4, 5, 3, 2], [6, 1, 5, 2, 3, 4], [6, 1, 5, 2, 4, 3], [6, 1, 5, 3, 2, 4], [6, 1, 5, 3, 4, 2], [6, 1, 5, 4, 2, 3], [6, 1, 5, 4, 3, 2], [6, 2, 1, 3, 4, 5], [6, 2, 1, 3, 5, 4], [6, 2, 1, 4, 3, 5], [6, 2, 1, 4, 5, 3], [6, 2, 1, 5, 3, 4], [6, 2, 1, 5, 4, 3], [6, 2, 3, 1, 4, 5], [6, 2, 3, 1, 5, 4], [6, 2, 3, 4, 1, 5], [6, 2, 3, 4, 5, 1], [6, 2, 3, 5, 1, 4], [6, 2, 3, 5, 4, 1], [6, 2, 4, 1, 3, 5], [6, 2, 4, 1, 5, 3], [6, 2, 4, 3, 1, 5], [6, 2, 4, 3, 5, 1], [6, 2, 4, 5, 1, 3], [6, 2, 4, 5, 3, 1], [6, 2, 5, 1, 3, 4], [6, 2, 5, 1, 4, 3], [6, 2, 5, 3, 1, 4], [6, 2, 5, 3, 4, 1], [6, 2, 5, 4, 1, 3], [6, 2, 5, 4, 3, 1], [6, 3, 1, 2, 4, 5], [6, 3, 1, 2, 5, 4], [6, 3, 1, 4, 2, 5], [6, 3, 1, 4, 5, 2], [6, 3, 1, 5, 2, 4], [6, 3, 1, 5, 4, 2], [6, 3, 2, 1, 4, 5], [6, 3, 2, 1, 5, 4], [6, 3, 2, 4, 1, 5], [6, 3, 2, 4, 5, 1], [6, 3, 2, 5, 1, 4], [6, 3, 2, 5, 4, 1], [6, 3, 4, 1, 2, 5], [6, 3, 4, 1, 5, 2], [6, 3, 4, 2, 1, 5], [6, 3, 4, 2, 5, 1], [6, 3, 4, 5, 1, 2], [6, 3, 4, 5, 2, 1], [6, 3, 5, 1, 2, 4], [6, 3, 5, 1, 4, 2], [6, 3, 5, 2, 1, 4], [6, 3, 5, 2, 4, 1], [6, 3, 5, 4, 1, 2], [6, 3, 5, 4, 2, 1], [6, 4, 1, 2, 3, 5], [6, 4, 1, 2, 5, 3], [6, 4, 1, 3, 2, 5], [6, 4, 1, 3, 5, 2], [6, 4, 1, 5, 2, 3], [6, 4, 1, 5, 3, 2], [6, 4, 2, 1, 3, 5], [6, 4, 2, 1, 5, 3], [6, 4, 2, 3, 1, 5], [6, 4, 2, 3, 5, 1], [6, 4, 2, 5, 1, 3], [6, 4, 2, 5, 3, 1], [6, 4, 3, 1, 2, 5], [6, 4, 3, 1, 5, 2], [6, 4, 3, 2, 1, 5], [6, 4, 3, 2, 5, 1], [6, 4, 3, 5, 1, 2], [6, 4, 3, 5, 2, 1], [6, 4, 5, 1, 2, 3], [6, 4, 5, 1, 3, 2], [6, 4, 5, 2, 1, 3], [6, 4, 5, 2, 3, 1], [6, 4, 5, 3, 1, 2], [6, 4, 5, 3, 2, 1], [6, 5, 1, 2, 3, 4], [6, 5, 1, 2, 4, 3], [6, 5, 1, 3, 2, 4], [6, 5, 1, 3, 4, 2], [6, 5, 1, 4, 2, 3], [6, 5, 1, 4, 3, 2], [6, 5, 2, 1, 3, 4], [6, 5, 2, 1, 4, 3], [6, 5, 2, 3, 1, 4], [6, 5, 2, 3, 4, 1], [6, 5, 2, 4, 1, 3], [6, 5, 2, 4, 3, 1], [6, 5, 3, 1, 2, 4], [6, 5, 3, 1, 4, 2], [6, 5, 3, 2, 1, 4], [6, 5, 3, 2, 4, 1], [6, 5, 3, 4, 1, 2], [6, 5, 3, 4, 2, 1], [6, 5, 4, 1, 2, 3], [6, 5, 4, 1, 3, 2], [6, 5, 4, 2, 1, 3], [6, 5, 4, 2, 3, 1], [6, 5, 4, 3, 1, 2], [6, 5, 4, 3, 2, 1]]"}︡{"stdout":"\n"}︡{"done":true}︡
︠f08b2b5a-f70f-4509-be89-f40d28da7695︠
final int n = 3;//aqui vai o numero de elementos do seu sudoku(3 vai ser um sudoku 3x3
final int[][] field = new int[n*n][n*n];//matriz onde será armazenado o sudoku
int x = rand()%10;//semente aleatória para não gerar o mesmo sudoku
for(int i = 0; i < n; i++, x++)
    for(int j = 0; j < n; j++, x+=n)
        for(int k = 0; k < n*n; k++, x++)
            field[n*i+j][k] = (x % (n*n)) + 1;
︡f922fcd2-b888-44c9-886e-33cc8c2926c5︡{"stdout":"[1]"}︡{"stdout":"\n"}︡{"done":true}︡
︠c755aeb7-3482-4612-a4c4-afbdca308982︠
def gera_sudoku(num):
    
    mat = []
    inteiro = ZZ.random_element(x = 1, y = num)
    
    
︡8dca6738-8f66-43cb-bcef-bde4ef28cdd9︡{"stderr":"Error in lines 1-1\nTraceback (most recent call last):\n  File \"/projects/sage/sage-7.6/local/lib/python2.7/site-packages/smc_sagews/sage_server.py\", line 995, in execute\n    exec compile(block+'\\n', '', 'single') in namespace, locals\n  File \"\", line 1, in <module>\nAttributeError: 'list' object has no attribute 'permut'\n"}︡{"done":true}︡
︠8dab4d7b-1315-4d0c-8dd5-070e44caa1d6s︠
ZZ.random_element(x = 1, y = 6)
︡d4201419-9cec-4653-8a43-91646cfd813b︡{"stdout":"3\n"}︡{"done":true}︡
︠36d98abb-55a3-4716-83b2-6b003cb5980f︠
matrix
︡99a37871-9dad-4265-b803-9a5c8ff5cc61︡{"stdout":"[46, 21404787712]\n"}︡{"done":true}︡
︠fa64ca50-c394-4d5c-b437-71d2b9f6ee9as︠
sage: G = Graph({0: {1: 1}, 1: {2: 1}, 2: {3: 1}, 3: {4: 2}, 4: {0: 2}}, sparse = True)
G.plot(edge_labels=True).show() # long time
sage: G.shortest_path(0, 3)
   


︡402dea81-8b4e-4145-92dc-7d81af53c10a︡{"file":{"filename":"/projects/15408dd5-a5d1-4295-af50-653dee45acee/.sage/temp/compute0-us/6085/tmp_cMezP1.svg","show":true,"text":null,"uuid":"8a15cd1a-2d03-492b-b9aa-920a244f7d9b"},"once":false}︡{"stdout":"[0, 4, 3]\n"}︡{"done":true}︡
︠63557aa9-7b48-46a0-bea3-19f753cb9e94s︠
sage: G.shortest_path(0, 3, by_weight=True)
︡91dd055a-1bdc-49dc-b8af-ff009d1de761︡{"stdout":"[0, 1, 2, 3]\n"}︡{"done":true}︡
︠1e46f28f-92b2-4044-8837-e94a46db3f9ds︠
plot(G)
︡31befbf2-ed89-4743-a4f7-672a96b13892︡{"file":{"filename":"/projects/15408dd5-a5d1-4295-af50-653dee45acee/.sage/temp/compute0-us/6085/tmp_Xp4m4H.svg","show":true,"text":null,"uuid":"95031539-c1a6-4d0f-9e74-94df4e5409df"},"once":false}︡{"done":true}︡
︠8bb4d372-bb6d-4444-8d6f-696d09c154d9s︠
G = Graph (weighted = True, sparse=True)
G.add_edges([('A','B',13),('A','J',5),('J','P',6),('J','Q',10),('Q','P',3),('Q','C',4),('Q','B',6),('P','C',6),('C','E',8),('P','B',11),('B','E',3)])
#show(G, weighted=True, sparse=True, edges_weighted=True)
G.shortest_path('J','E', by_weight=True)
︡14c080e2-f13f-44e9-99be-f3e6f4aefbf0︡{"stdout":"['J', 'P', 'Q', 'B', 'E']\n"}︡{"done":true}︡
︠e89c4796-5fd9-40e2-890b-07f514375c6a︠
G.shortest_path('J', 'E', algorithm='Dijkstra_NetworkX')
︡f5addfa0-99f2-401d-9599-750624f1fc0f︡{"stdout":"['J', 'A', 'B', 'E']\n"}︡{"done":true}︡
︠30390438-0116-44e4-8d83-918d5c6c1222︠
G.shortest_paths()
︡8de40fd1-5030-4f60-8e9d-5c4383c6fb04︡{"stdout":"{'A': ['J', 'A'], 'C': ['J', 'P', 'C'], 'B': ['J', 'A', 'B'], 'E': ['J', 'P', 'C', 'E'], 'J': ['J'], 'Q': ['J', 'Q'], 'P': ['J', 'P']}\n"}︡{"done":true}︡
︠34adaacf-36d6-47fa-bad3-5ec4a1797de9s︠
G.all_graphs_coloring()
︡039f2116-f1eb-4754-ab91-07db8cd8fb80︡{"stderr":"Error in lines 1-1\nTraceback (most recent call last):\n  File \"/projects/sage/sage-7.6/local/lib/python2.7/site-packages/smc_sagews/sage_server.py\", line 995, in execute\n    exec compile(block+'\\n', '', 'single') in namespace, locals\n  File \"\", line 1, in <module>\nAttributeError: 'Graph' object has no attribute 'all_graphs_coloring'\n"}︡{"done":true}︡
︠14e52703-a1dc-48b3-a0c9-c1069eb7818bs︠
plot(G, edge_labels=True)
︡b98de8af-d484-41e5-bbea-9d97b150a813︡{"file":{"filename":"/projects/15408dd5-a5d1-4295-af50-653dee45acee/.sage/temp/compute0-us/6085/tmp_t3mU4e.svg","show":true,"text":null,"uuid":"ebcb6f93-c1ee-4ef5-a1b6-b857f25fe12c"},"once":false}︡{"done":true}︡
︠17dc56f5-f8ef-4235-915c-c33f989186c0s︠
G.eulerian_circuit()
︡d8972b98-cd68-4f67-828e-de591fbcf76a︡{"stdout":"False\n"}︡{"done":true}︡
︠85ad450b-02c7-4c24-a09c-00aaf5f01c02︠
def gera_grafo(nv):


    G = Graph (weighted = True, sparse=True)
    G.add_edges([('A','B',13),('A','J',5),('J','P',6),('J','Q',10),('Q','P',3),('Q','C',4),('Q','B',6),('P','C',6),('C','E',8),('P','B',11),('B','E',3)])

                                                               
    return
︡a30af194-dbbd-436e-8c74-886c4b486000︡
︠e3008b36-d412-49e3-b3ac-6f334ff4ecf8s︠
A = matrix.random(ZZ, 5, 5); A
︡9e293897-55a5-4706-b262-f909473134ec︡{"stdout":"[-1  0 -4  3 -4]\n[-8  0 -7 -4  1]\n[ 0 -1 -1  5 -5]\n[ 0 -2  2  1  1]\n[-1 -1  0 -1 -1]\n"}︡{"done":true}︡
︠9931fd62-9208-4e20-aca2-9aca43a5fe24s︠
show(A)
︡47e46d50-1ddc-46f3-a009-e69cbd92eccb︡{"html":"<div align='center'>$\\displaystyle \\left(\\begin{array}{rrrrr}\n-1 &amp; 0 &amp; -4 &amp; 3 &amp; -4 \\\\\n-8 &amp; 0 &amp; -7 &amp; -4 &amp; 1 \\\\\n0 &amp; -1 &amp; -1 &amp; 5 &amp; -5 \\\\\n0 &amp; -2 &amp; 2 &amp; 1 &amp; 1 \\\\\n-1 &amp; -1 &amp; 0 &amp; -1 &amp; -1\n\\end{array}\\right)$</div>"}︡{"done":true}︡
︠8603f4d5-59d7-47bf-8d56-44794e67e0f0ss︠
B = matrix([[1,2,3],[9,8,7]])
show(B)
︡f50b195c-7773-4b89-8308-87cc5e638379︡{"html":"<div align='center'>$\\displaystyle \\left(\\begin{array}{rrr}\n1 &amp; 2 &amp; 3 \\\\\n9 &amp; 8 &amp; 7\n\\end{array}\\right)$</div>"}︡{"done":true}︡
︠cd05dc70-be1a-4a31-be20-a1759bc89fa8︠

︡c56048fd-a2c7-41ca-ac8d-72766cccde5e︡{"html":"<div align='center'>$\\displaystyle \\left(\\begin{array}{rrr}\n1 &amp; 2 &amp; 3 \\\\\n9 &amp; 8 &amp; 7\n\\end{array}\\right)$</div>"}︡{"done":true}︡
︠a503a1a1-4859-4f6c-bdc9-ebf39e493383s︠
show(A^4)
︡072c30c2-9eeb-4a39-b1b9-5a1ea1889a5b︡{"html":"<div align='center'>$\\displaystyle \\left(\\begin{array}{rrrrr}\n291 &amp; 155 &amp; 439 &amp; -339 &amp; 760 \\\\\n196 &amp; 592 &amp; 752 &amp; -1819 &amp; 2473 \\\\\n546 &amp; -105 &amp; 634 &amp; 386 &amp; 341 \\\\\n372 &amp; -222 &amp; 451 &amp; 518 &amp; 99 \\\\\n233 &amp; 30 &amp; 436 &amp; -250 &amp; 619\n\\end{array}\\right)$</div>"}︡{"done":true}︡
︠581c4867-1f26-49dc-b53f-fb773c7cfa3cs︠
A
︡c2e7bc35-d193-4f29-9507-6f028ee00c09︡{"stdout":"[-1  0 -4  3 -4]\n[-8  0 -7 -4  1]\n[ 0 -1 -1  5 -5]\n[ 0 -2  2  1  1]\n[-1 -1  0 -1 -1]\n"}︡{"done":true}︡
︠3272a363-34de-47ec-ad6b-c5e71404d790s︠
A.submatrix(1,2, 3, 3)
︡8c9f3f35-ce49-46bd-a164-61b087e76317︡{"stdout":"[-7 -4  1]\n[-1  5 -5]\n[ 2  1  1]\n"}︡{"done":true}︡
︠e91d9f52-b70b-4575-b50c-b2c86cd135dbs︠
A.matrix_from_rows_and_columns([0,2,3],[0,2,3])
︡ace322e3-210f-4794-bc5d-a31ca32a9bdb︡{"stdout":"[-1 -4  3]\n[ 0 -1  5]\n[ 0  2  1]\n"}︡{"done":true}︡
︠1f11a670-6321-490a-a8cb-37606a717b07s︠
v = {'A': ['B','F'],'B': ['C', 'F'],'C': ['E'],'D': ['E'],'E': ['F']}
G = Graph(v)
︡2684bf5b-af08-49a6-b0cd-60cd499e8bed︡{"done":true}︡
︠44dcd320-3fb9-4cfd-97db-f56daf36e073s︠
M = G.adjacency_matrix(); M
︡7d19966a-9a89-45d3-837e-e5b28c1bc30d︡{"stdout":"[0 1 0 0 0 1]\n[1 0 1 0 0 1]\n[0 1 0 0 1 0]\n[0 0 0 0 1 0]\n[0 0 1 1 0 1]\n[1 1 0 0 1 0]\n"}︡{"done":true}︡
︠a0af513d-5d53-49a3-9485-95500e287962s︠
H=Graph(M)
plot(G)
︡6f147a0b-13f4-4d5c-a0a1-8a76b26f12b1︡{"file":{"filename":"/projects/15408dd5-a5d1-4295-af50-653dee45acee/.sage/temp/compute0-us/16869/tmp_mPp725.svg","show":true,"text":null,"uuid":"e3f221ec-f078-42a8-a2be-30136874d749"},"once":false}︡{"done":true}︡
︠9f7148f7-9202-4f99-8859-3669c53c8afes︠
H.show()
︡fd68a15b-5625-484d-b3a0-0648fb6fe28b︡{"file":{"filename":"/projects/15408dd5-a5d1-4295-af50-653dee45acee/.sage/temp/compute0-us/16869/tmp_7hueen.svg","show":true,"text":null,"uuid":"9fd044f9-4780-4df9-b8b1-61a0cf1d634a"},"once":false}︡{"done":true}︡
︠8d971a35-5a6e-4938-85e1-ac000d5d0ee3s︠
G.vertices()
︡050fdda4-1cd2-4c59-abd9-b5f9ad6f6e87︡{"stdout":"['A', 'B', 'C', 'D', 'E', 'F']\n"}︡{"done":true}︡
︠14601208-6347-46ff-8835-a48036a02a1cs︠
H.vertices()
︡519a77e9-0d29-4e1d-aee7-4356373a5a9a︡{"stdout":"[0, 1, 2, 3, 4, 5]\n"}︡{"done":true}︡
︠a754b75a-787a-4602-9d00-69dffbeaf5fas︠
G.is_isomorphic(H)
︡7a8f5270-b4b8-4204-a8aa-fbb1777da528︡{"stdout":"True"}︡{"stdout":"\n"}︡{"done":true}︡
︠85718024-91cf-4a14-90fb-c8a220e51a32︠
︡9d77d23c-5103-49b8-a9ca-b8f004cf2436︡
︠4a9bffb0-adcd-4982-9560-f785f9df8eb3s︠
N = G.incidence_matrix(); N
︡4fad035c-b833-482e-a5d0-56d611248ee9︡{"stdout":"[1 1 0 0 0 0 0]\n[1 0 1 0 1 0 0]\n[0 0 1 1 0 0 0]\n[0 0 0 0 0 1 0]\n[0 0 0 1 0 1 1]\n[0 1 0 0 1 0 1]\n"}︡{"done":true}︡
︠a578d29b-0c20-4757-9c5e-92694b50eb7as︠
H2 = Graph(N)
︡3ceaed1a-9ddd-43f9-a27d-52f2b7816e9a︡{"done":true}︡
︠c20e45f6-6a53-46dd-b0b0-5d31a5a54314s︠
H
︡bdb3d155-7cb2-4ef5-9e88-85e34bf2e3fb︡{"stdout":"Graph on 6 vertices\n"}︡{"done":true}︡
︠f18dbb22-23fa-445f-9e7f-16e80ccf7489s︠
H2
︡04c3b422-946e-4a6b-827f-4bc59e5dfc17︡{"stdout":"Graph on 6 vertices\n"}︡{"done":true}︡
︠2846f2c8-fcc3-4ee8-9579-9958949bcd3es︠
H2.is_isomorphic(H)
︡9e6b3839-9ce5-4961-a6b3-e721461a86e6︡{"stdout":"True\n"}︡{"done":true}︡
︠e9836136-196b-471a-a0ad-850396f7f192s︠
M
︡3a313892-c7e6-4345-bccf-229eb1e08417︡{"stdout":"[0 1 0 0 0 1]\n[1 0 1 0 0 1]\n[0 1 0 0 1 0]\n[0 0 0 0 1 0]\n[0 0 1 1 0 1]\n[1 1 0 0 1 0]\n"}︡{"done":true}︡
︠61655a8d-4689-4e16-ad47-93c51bb68036s︠
G2 = G.subgraph(['A', 'B', 'C', 'F'])
G3 = G.subgraph(['A', 'B', 'F', 'C'])
︡15a15b97-951b-4639-b02e-4457cf975709︡{"done":true}︡
︠85638727-350d-453b-8800-137906fa7866s︠
G2.adjacency_matrix()
︡d13412a8-e08f-48d4-a536-2a86bf01a818︡{"stdout":"[0 1 0 1]\n[1 0 1 1]\n[0 1 0 0]\n[1 1 0 0]\n"}︡{"done":true}︡
︠acf6306d-6a99-4044-a018-dfd155d4075es︠
G3.adjacency_matrix()
︡1bb7ee2e-ef73-4c97-94b6-93725a4935d6︡{"stdout":"[0 1 0 1]\n[1 0 1 1]\n[0 1 0 0]\n[1 1 0 0]\n"}︡{"done":true}︡
︠bcb97eba-1f1f-494b-a2ba-9e012a9cecdds︠
G2.vertices()
︡37b3cd63-a1e8-43ab-9d3f-4ab2b0a1687c︡{"stdout":"['A', 'B', 'C', 'F']\n"}︡{"done":true}︡
︠5e57c3ec-4532-4e09-b5de-1c2cc3fc4858s︠
G3.vertices()
︡f8b485e6-e0fe-435c-aed0-65d578cc075b︡{"stdout":"['A', 'B', 'C', 'F']\n"}︡{"done":true}︡
︠b02e8b14-5824-4ddc-abc6-ed354bd5be96s︠
H.edges(labels=False)
︡d6dea0eb-0708-4019-9ec7-5761bb8a0246︡{"stdout":"[(0, 1), (0, 5), (1, 2), (1, 5), (2, 4), (3, 4), (4, 5)]\n"}︡{"done":true}︡
︠434d88b1-6b60-450c-95a8-31916e3ef660s︠
G.add_vertex('G')
︡78a2d789-a1d7-43d2-8c1c-77ccefb15c7a︡{"done":true}︡
︠e52742a9-6be8-4d7d-ac04-9e0d78489ce5s︠
G.add_edges([('A', 'G'), ('G', 'H')])
︡0df97145-1af3-4a48-8693-a46a99d1a6c9︡{"done":true}︡
︠0ad4e8b5-28b4-41bd-9656-eb44916a334bs︠
plot(G)
︡f0a503fa-7ce2-4a68-9c69-336f099b2cb1︡{"file":{"filename":"/projects/15408dd5-a5d1-4295-af50-653dee45acee/.sage/temp/compute0-us/16869/tmp_Y9IPoF.svg","show":true,"text":null,"uuid":"73281883-ca83-45e3-ada7-08d71e5a9e71"},"once":false}︡{"done":true}︡
︠71ceb024-72df-4a21-a93c-c93ae9f00b4bs︠
H2 = Graph((G.adjacency_matrix())^2)
︡95773d0e-0c2b-45d3-bd37-d676f9b73bfa︡{"done":true}︡
︠9794f625-e67f-48e1-a9a8-ef6a9a99ed2bs︠
plot(H2)
︡47f9826c-42f6-4ef0-ab1a-ad9eb9a6481d︡{"file":{"filename":"/projects/15408dd5-a5d1-4295-af50-653dee45acee/.sage/temp/compute0-us/16869/tmp_zb_k_p.svg","show":true,"text":null,"uuid":"cf6670ba-5d7a-43a4-b445-14a4626159a9"},"once":false}︡{"done":true}︡
︠d9f678a5-ed9d-464e-b554-8d53b1136177s︠
v = {
'A': ['E','F'],'B': ['C','D','E','G'],'C': ['F','G'],'D': ['G'],'F': ['G']}
 # Nomeando os vértices de forma Simplificada
︡5650ef91-e594-4fa8-b59d-b56df03ff95c︡{"done":true}︡
︠4269c1c4-0fd2-4793-a822-9372a893d6c8s︠
G = Graph(v)
 #Grafo G formado pelos vértices e arestas de v
A = G.adjacency_matrix()
 #Nomeando A como Matriz de Adjacência
G.vertices()
 #Identificando a ordenação dos vértices
show(A)
 #Mostrar a Matriz de Adjacência A
show(A^2)
 #Calcular e Mostrar a Potência 2 de A
show(A^3)
 #Calcular e Mostrar a Potência 3 de A
︡7ee514c8-f075-47d1-ac5c-ee52fe5f259c︡{"stdout":"['A', 'B', 'C', 'D', 'E', 'F', 'G']\n"}︡{"html":"<div align='center'>$\\displaystyle \\left(\\begin{array}{rrrrrrr}\n0 &amp; 0 &amp; 0 &amp; 0 &amp; 1 &amp; 1 &amp; 0 \\\\\n0 &amp; 0 &amp; 1 &amp; 1 &amp; 1 &amp; 0 &amp; 1 \\\\\n0 &amp; 1 &amp; 0 &amp; 0 &amp; 0 &amp; 1 &amp; 1 \\\\\n0 &amp; 1 &amp; 0 &amp; 0 &amp; 0 &amp; 0 &amp; 1 \\\\\n1 &amp; 1 &amp; 0 &amp; 0 &amp; 0 &amp; 0 &amp; 0 \\\\\n1 &amp; 0 &amp; 1 &amp; 0 &amp; 0 &amp; 0 &amp; 1 \\\\\n0 &amp; 1 &amp; 1 &amp; 1 &amp; 0 &amp; 1 &amp; 0\n\\end{array}\\right)$</div>"}︡{"html":"<div align='center'>$\\displaystyle \\left(\\begin{array}{rrrrrrr}\n2 &amp; 1 &amp; 1 &amp; 0 &amp; 0 &amp; 0 &amp; 1 \\\\\n1 &amp; 4 &amp; 1 &amp; 1 &amp; 0 &amp; 2 &amp; 2 \\\\\n1 &amp; 1 &amp; 3 &amp; 2 &amp; 1 &amp; 1 &amp; 2 \\\\\n0 &amp; 1 &amp; 2 &amp; 2 &amp; 1 &amp; 1 &amp; 1 \\\\\n0 &amp; 0 &amp; 1 &amp; 1 &amp; 2 &amp; 1 &amp; 1 \\\\\n0 &amp; 2 &amp; 1 &amp; 1 &amp; 1 &amp; 3 &amp; 1 \\\\\n1 &amp; 2 &amp; 2 &amp; 1 &amp; 1 &amp; 1 &amp; 4\n\\end{array}\\right)$</div>"}︡{"html":"<div align='center'>$\\displaystyle \\left(\\begin{array}{rrrrrrr}\n0 &amp; 2 &amp; 2 &amp; 2 &amp; 3 &amp; 4 &amp; 2 \\\\\n2 &amp; 4 &amp; 8 &amp; 6 &amp; 5 &amp; 4 &amp; 8 \\\\\n2 &amp; 8 &amp; 4 &amp; 3 &amp; 2 &amp; 6 &amp; 7 \\\\\n2 &amp; 6 &amp; 3 &amp; 2 &amp; 1 &amp; 3 &amp; 6 \\\\\n3 &amp; 5 &amp; 2 &amp; 1 &amp; 0 &amp; 2 &amp; 3 \\\\\n4 &amp; 4 &amp; 6 &amp; 3 &amp; 2 &amp; 2 &amp; 7 \\\\\n2 &amp; 8 &amp; 7 &amp; 6 &amp; 3 &amp; 7 &amp; 6\n\\end{array}\\right)$</div>"}︡{"done":true}
︠f6b420bc-219f-4630-8820-616fd536c458s︠
G2 = Graph(A^2)
︡1b4113f0-bc50-4bc0-b9f1-5761a838bc2f︡{"done":true}︡
︠36d5311a-aa70-48cd-b994-6d36fb3a0485s︠
plot(G)
︡4c98a6a6-d2de-4e26-9295-38e3c618cd59︡{"file":{"filename":"/projects/15408dd5-a5d1-4295-af50-653dee45acee/.sage/temp/compute0-us/16869/tmp_VsSDJC.svg","show":true,"text":null,"uuid":"21f47a43-f5c1-46bb-b7d6-c49459f02eb8"},"once":false}︡{"done":true}︡
︠8b26dce5-3ccd-4983-8bb5-7e4e371d942cs︠
G.vertices()
︡60037b0c-0b37-45ba-9301-4960c11ea7a9︡{"stdout":"['A', 'B', 'C', 'D', 'E', 'F', 'G']\n"}︡{"done":true}︡
︠83061ad9-16de-4719-8a2a-a539b8465bf7s︠
G.degree(labels=True)
︡39340c83-a812-4ad5-958b-6e11b705cad0︡{"stdout":"{'A': 2, 'C': 3, 'B': 4, 'E': 2, 'D': 2, 'G': 4, 'F': 3}\n"}︡{"done":true}︡
︠fc01919f-16c0-489d-bfa0-6969520967f1s︠
G.degree()
︡b29a43b0-f030-43ca-b260-ff1adf669fca︡{"stdout":"[2, 3, 4, 2, 2, 4, 3]\n"}︡{"done":true}︡
︠b6566182-25aa-4173-96c5-5592c4397d18s︠
G.degree(vertices=G.vertices())
︡b14a1596-d1e8-4138-aeeb-85156da19d9a︡{"stdout":"[2, 4, 3, 2, 2, 3, 4]\n"}︡{"done":true}︡
︠ea6b1090-3811-4b8a-b2b9-cfc79d51adb1s︠
(
.adjacency_matrix()^2).diagonal()
︡eb5c3281-6fbe-4abf-9298-65c13ef23294︡{"stdout":"[2, 4, 3, 2, 2, 3, 4]\n"}︡{"done":true}︡
︠09971bcd-9fbc-4960-b965-6abdeafb9251︠









